import { SimpleLocalClient } from '../../core/index.js';
import type { IWatergateConfig } from './watergate.types.js';
import { watergateProfile } from './watergate.types.js';

export class WatergateClient extends SimpleLocalClient<IWatergateConfig> {
  constructor(configArg: IWatergateConfig) {
    super(watergateProfile, configArg);
  }
}
